=== debian/changelog ===
obs-draw-dock (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1.
  * debian/patches/:
      - Removed the following patches because the upstream applied them
        (thanks!):
           ~ 010_add-pt-BR.patch
           ~ 020_fix-typo.patch
      - 010_update-pt-BR.patch: added to update the translation to pt-BR.
      - 020_add-missing-translation.patch: created to add a missing tag
        for en-US.
  * debian/watch: fixed the search rule because the upstream is using obs-draw
    in tarball name.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 09 Apr 2025 08:49:03 -0300

obs-draw-dock (0.2.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: bumped Standards-Version to 4.7.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 03 Apr 2025 23:46:28 -0300

obs-draw-dock (0.2.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1100885)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Mar 2025 23:28:53 -0300
