=== debian/changelog ===
obs-draw-dock (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0.
  * debian/clean: added cmake/.CMakeBuildNumber.
  * debian/patches/:
      - 010_update-pt-BR.patch: updated translation.
      - 020_add-missing-translation.patch: removed because the upstream applied
        this patch. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 06 Sep 2025 15:58:32 -0300
