=== debian/control ===
Source: obs-draw-dock
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               cmake,
               libobs-dev,
               libxkbcommon-dev,
               qt6-base-private-dev
Standards-Version: 4.7.2
Homepage: https://obsproject.com/forum/resources/draw.2081/
Vcs-Browser: https://salsa.debian.org/debian/obs-draw-dock
Vcs-Git: https://salsa.debian.org/debian/obs-draw-dock.git

Package: obs-draw-dock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio
Enhances: obs-studio
Description: plugin for OBS Studio to draw on stream output
 This plugin allows anyone to draw on stream output in a dock.
 It is useful, in some cases, to make freehand drawings or to
 write on screen.
 .
 This plugin makes available some drawing tools: pencil, brush,
 line, rectangle outline, rectangle fill, ellipse outline,
 ellipse fill, select rectangle and select ellipse. Also is
 possible to choose colors, transparency level and the size of
 the trace.
