## obs-draw-dock 0.3.1

=== debian/changelog ===
obs-draw-dock (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_update-pt-BR.patch: updated translation.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Feb 2026 18:17:38 -0300
