=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,10 @@
                              -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                              -DLINUX_PORTABLE=Off
 
+# blhc should ignore CMake ABI tests.
+execute_before_dh_auto_build:
+	@echo 'blhc: ignore-line-regexp: /usr/bin/c\+\+ .*/Modules/CMakeCXXCompilerABI\.cpp .*'
+
 execute_before_dh_install:
 	mkdir -p ${PLUGIN_DEST}
 	find -name lib${PLUGIN_NAME}.so -exec cp {} ${PLUGIN_DEST}/${PLUGIN_NAME}.so \;
