=== debian/watch ===
Version: 5

# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-draw/tags .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.
# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).
Source: https://obsproject.com/forum/resources/draw.2081
Matching-Pattern: .span.class..u-muted..(\d\S+)..span.
Downloadurlmangle: s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/obs-draw\/archive\/refs\/tags\/$1\.tar\.gz/
Filenamemangle: s/.*muted..([\d\.]+)..span./obs-draw-$1\.tar\.gz/
Searchmode: plain
